<div class="col-10 mt-5">
    <h3>{{title}}</h3>
    <!--Listado de mensajes enviados-->
    <div class="" *ngIf="messages">
        <div class="card col-12 card-users" *ngFor="let message of messages">
            <div class="card-body d-flex flex-row">
                <div class="row col-12">
                    <div class="col-12 col-lg-1">
                        <img src="{{url + 'get-image-user/'+ message.emitter.image }}" alt="" class="avatar-users"
                            *ngIf="message.emitter.image" />
                        <img src="assets/icon-user-default.png" class="avatar-users" alt=""
                            *ngIf="!message.emitter.image" />
                    </div>
                    <div class="col-12 col-lg-10">
                        <a [routerLink]="['/profile',message.emitter._id]">
                            <span class="font-weight-bold">{{message.emitter.name +" "+message.emitter.surname}}</span>

                        </a>
                        <span class="publication-time">
                            &nbsp;|&nbsp;{{(message.created_at | amFromUnix) | amLocale:'es' | amTimeAgo }}
                        </span>
                        &nbsp; Enviado a <span class="font-weight-bold"><a
                                [routerLink]="['/profile',message.receiver._id]">{{message.receiver.name +' '+ message.receiver.surname}}</a></span>
                        <br>
                        <span>{{message.emitter.nick}}</span>

                        <div class="col-12 mt-4">
                            <div class="row">
                                <div class="col-10">
                                    {{message.text}}
                                </div>
                                <div class="col-2">
                                    <a href="#exampleModal{{message._id}}" class="btn btn-danger" data-toggle="modal">
                                        <i class="fas fa-trash-alt"></i>
                                    </a>
                                </div>
                                <!-- Modal -->
                                <div class="modal fade" id="exampleModal{{message._id}}" tabindex="-1" role="dialog"
                                    aria-labelledby="exampleModalLabel" aria-hidden="true">
                                    <div class="modal-dialog" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="exampleModalLabel">Confirma borrar
                                                    Mensaje</h5>
                                                <button type="button" class="close" data-dismiss="modal"
                                                    aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                </button>
                                            </div>
                                            <div class="modal-body">
                                                ¿Seguro que quieres borrar este mensaje?
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary"
                                                    data-dismiss="modal">No</button>
                                                <button type="button" class="btn btn-primary" data-dismiss="modal"
                                                    (click)="removeMessage(message._id)">
                                                    Sí, borrar
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!--fin modal-->
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!--Paginación-->
        <div class="clearfix"></div>
        <div class="col-12 d-flex justify-content-center">
            <ul class="pagination">
                <li class="page-item" *ngIf="page>1">
                    <a class="page-link" [routerLink]="['/mensajes/recibidos',prevPage]" aria-label="Previous">
                        <span aria-hidden="true">Anterior</span>
                    </a>
                </li>
                <li class="page-item" [ngClass]="{'active': page==pag}" *ngFor="let pag of arrayPages">
                    <a class="page-link" [routerLink]="['/mensajes/recibidos',pag]">{{pag}}</a>
                </li>
                <li class="page-item" *ngIf="page!=pages">
                    <a class="page-link" [routerLink]="['/mensajes/recibidos',nextPage]" aria-label="Next">
                        <span aria-hidden="true">Siguiente</span>
                    </a>
                </li>
            </ul>
        </div>
    </div>
</div>